type Robotcert::Certspec =
    Hash[String, Struct[{keytab_file             => String,
                         Optional[proxy_file]    => String,
                         Optional[token_settings] => Struct[{
                            vault    => String,
                            issuer   => String,
                            audience => String,
                            role     => String,
                            scopes   => String,
                            credkey  => String,
                            token_file  => String,}],
                         principal               => String,
                         interval                => String,
                         Optional[keytab_base64] => String,
                         Optional[user]          => String,
                         Optional[group]         => String,
                         Optional[extra_vars]    => Hash[String,String]}]]
